#include <bits/stdc++.h>
using namespace std;
int getNext(int pr1, int pr2){
    vector<int> d;
    int z=pr1*pr2, z1=0;
    if(z==0) z1=9;
    else{
        while(z){
            d.push_back((z+9)%10);
            z/=10;
        }
        for(int i=d.size()-1; i>=0; i--) z1=z1*10+d[i];
    }
    return z1%1000;
}
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n, a, b;
    cin>>n>>a>>b;
    int i=2;
    bool printA=0;
    while(i<n){
        if(i%2==0) {
            a=getNext(a, b);
            printA=1;
        }
        else {
            b=getNext(a, b);
            printA=0;
        }
        i++;
    }
    if(printA) cout<<a<<"\n";
    else cout<<b<<"\n";
    return 0;
}
